//import request from '@/utils/request';
import { useHttp } from '@crami/http';
import { commonApi } from '@/api/commonApi/index';

export interface MetaData {
  type: string;
  productLine: string;
  name: string;
}
export interface UserData {
  lang: string;
  connect: string;
  companyId: string;
  data: { id: string; ids: string };
}

export async function getByProjectAndType(params: MetaData) {
  return useHttp({
    url: commonApi().studioCache.getMetaInfo.url,
    method: commonApi().studioCache.getMetaInfo.method,
    params,
  });
}
export async function saveUser(params: UserData) {
  return useHttp({
    url: '/system/dept/saveUser',
    method: 'post',
    params,
  });
}
